
package de.ivu.elect.jee.faces;

import java.util.Locale;

import javax.annotation.Nullable;
import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.system.control.ElectDemoSystem;

@Specializes
public class ElectUserLocaleStore extends UserLocaleStore {

  private static final long serialVersionUID = 1L;

  public ElectUserLocaleStore() {
    super();
  }

  @Nullable
  @Override
  protected Locale getDefaultClientLocale() {
    if (FacesContextUtil.isDevelopmentStage() || ElectDemoSystem.isDemoSystem()) {
      return super.getDefaultClientLocale();
    }

    /*
     * ELECT-12647, NICHT die Browser-Locale auswerten, sondern die erwartete Locale für die Anwendung zurückgeben (KOM, MUC, DD, SL, ... -> deutsch, NL -> niederländisch)!!! Cf.
     * StartupBootstrap#checkDefaultLocale und ElectSystemDefaults#getExpectedServerLocale...
     */

    return getDefaultServerLocale();
  }
}
